Package com.sun.java.help.impl

# Class JHSecondaryViewerBeanInfo

java.lang.Object
java.beans.SimpleBeanInfo
com.sun.java.help.impl.JHSecondaryViewerBeanInfo

All Implemented Interfaces:
  `BeanInfo`

public class JHSecondaryViewerBeanInfo extends SimpleBeanInfo
This class provides information about getter/setter methods within JHSecondaryWindow. It is usefull for reflection.

See Also:
  - `JHSecondaryViewer`

## Field Summary

### Fields inherited from interface java.beans.BeanInfo

`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

## Constructor Summary

Constructors
Constructor
Description
`JHSecondaryViewerBeanInfo()`

## Method Summary

Modifier and Type
Method
Description
`PropertyDescriptor[]`
`getPropertyDescriptors()`

### Methods inherited from class java.beans.SimpleBeanInfo

`getAdditionalBeanInfo, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getIcon, getMethodDescriptors, loadImage`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JHSecondaryViewerBeanInfo

public JHSecondaryViewerBeanInfo()

## Method Details

### getPropertyDescriptors

public PropertyDescriptor[] getPropertyDescriptors()

Specified by:
  `getPropertyDescriptors` in interface `BeanInfo`
Overrides:
  `getPropertyDescriptors` in class `SimpleBeanInfo`